AttributeDecl (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dtd
Class AttributeDecl

    java.lang.Object
      org.dom4j.dtd.AttributeDecl

public class AttributeDecl
extends Object

`AttributeDecl` represents an attribute declaration in a DTD.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Constructor Summary
`AttributeDecl()`
`AttributeDecl(String elementName, String attributeName, String type, String valueDefault, String value)`

Method Summary
`String` | `getAttributeName()` Getter for property attributeName.
`String` | `getElementName()` Getter for property elementName.
`String` | `getType()` Getter for property type.
`String` | `getValue()` Getter for property value.
`String` | `getValueDefault()` Getter for property valueDefault.
`void` | `setAttributeName(String attributeName)` Setter for property attributeName.
`void` | `setElementName(String elementName)` Setter for property elementName.
`void` | `setType(String type)` Setter for property type.
`void` | `setValue(String value)` Setter for property value.
`void` | `setValueDefault(String valueDefault)` Setter for property valueDefault.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeDecl

    public AttributeDecl()

### AttributeDecl

    public AttributeDecl(String elementName,
                         String attributeName,
                         String type,
                         String valueDefault,
                         String value)

Method Detail

### getElementName

    public String getElementName()

  Getter for property elementName.

  Returns:
    Value of property elementName.

### setElementName

    public void setElementName(String elementName)

  Setter for property elementName.

  Parameters:
    `elementName` - New value of property elementName.

### getAttributeName

    public String getAttributeName()

  Getter for property attributeName.

  Returns:
    Value of property attributeName.

### setAttributeName

    public void setAttributeName(String attributeName)

  Setter for property attributeName.

  Parameters:
    `attributeName` - New value of property attributeName.

### getType

    public String getType()

  Getter for property type.

  Returns:
    Value of property type.

### setType

    public void setType(String type)

  Setter for property type.

  Parameters:
    `type` - New value of property type.

### getValue

    public String getValue()

  Getter for property value.

  Returns:
    Value of property value.

### setValue

    public void setValue(String value)

  Setter for property value.

  Parameters:
    `value` - New value of property value.

### getValueDefault

    public String getValueDefault()

  Getter for property valueDefault.

  Returns:
    Value of property valueDefault.

### setValueDefault

    public void setValueDefault(String valueDefault)

  Setter for property valueDefault.

  Parameters:
    `valueDefault` - New value of property valueDefault.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.